function [TB1,TB2]=qlrCI(y,x,TB,fixk,prewhite,kernel,level);
[T,K]=size(x); dates=(1:T)';
DU=(dates < TB);
y1=y(1:TB,:); x1=x(1:TB,:);
y2=y(TB+1:end,:); x2=x(TB+1:end,:);
T1=length(y1); T2=length(y2);

Q1=x1'*x1/T1; Q2=x2'*x2/T2;

% regime 1; se1r is the robust standard errors
          % se1 is the regular standard errors
[bhat1,se1,se1r,s21]=olshac(y1,x1,fixk,prewhite,kernel);

% second regime
[bhat2,se2,se2r,s22]=olshac(y2,x2,fixk,prewhite,kernel);

d=bhat2-bhat1;
A1=d'*Q1*d;
A2=d'*Q2*d;
psi=A2/A1;
phi=psi*s22/s21;
[c1,c2]=qntBai(psi,phi,1-level);

se=A1/s21;
TB1=TB-1-ceil(c2/se);
TB2=TB+1-floor(c1/se);
