%fCompCI=figure; % similar to kalmanGraph, no filter
lambdaIndex=1;
hKFA=area(time, [ciAS2(:,1), ciAS2(:,2)-ciAS2(:,1)]); 
set(gca,'Layer','top'); hold on; 
hKF=myPlot(time,[AS graphUn ciAS2rw]); 
set(hKFA(1),'FaceColor',.97*ones(1,3),'EdgeColor','none'); 
set(hKFA(2),'FaceColor',.66*ones(1,3),'EdgeColor','none');
set(hKF(2),'linestyle','--','color',cc.darkBlue); set(hKF(3:4),'color','k','linestyle','-');
%legend([hKF(1:3);hKFA(2)] ,'Kalman Smoother','Unemployment','95% RW CI','95% Prod CI'); 
if lambdaIndex; liText=', \lambda imposed'; lambdaT=nruProdLambda; 
else; liText=', \lambda estimated'; lambdaT=mleEstimates(end)/mleEstimates(end-1); lambdaT=round(1000*lambdaT)/1000; end;
%xlabel(['\sigma^2_\eta/\sigma^2_\epsilon=\lambda=' num2str(lambdaT)]); 
set(gca,'fontsize',5); set(hKF,'linewidth',1); set(hKF(2),'linestyle','-');
axis tight; axis 'auto y';  %grid on; 
hold off; axis([-inf inf 0 11]); 
