xlag=[1,allLags(1):allLags(2),allLags(3):allLags(4),allLags(5):allLags(6)]';
xname=strvcat('const',repmat('un',1+diff(unLags),1),repmat('dinfl',1+diff(inflLags),1),repmat('prod',1+diff(prodLags),1));
bhat=X\y; e=y-X*bhat;
rErrorsSign=sign(rErrors);
switch rErrorsSign;
    case -1;
        se=(stError*pinv(X'*X));  fprintf('OLS Standard Errors\n');
    case 0;
        wse_beta=hwhite_mine(y,X); fprintf('White Het Robust Standard Errors\n');
        se=wse_beta.V;
    case 1;
        se=nwest_mine(y,X,rErrors); se=se.V; 
        fprintf('Newey-West HAC Standard Errors, %2.0f Lags\n',rErrors);
end;   
varResDvarY=sum(e.^2)/sum((y-mean(y)).^2);
rsq(1,1)=1-varResDvarY; rsq(2,1)=1-varResDvarY*(size(X,1)-1)/(size(X,1)-size(X,2)); 
regprint(bhat,[],xlag,se,e,1,length(y),rsq);

nruP=-(bhat(1)+X(:,end)*bhat(end))/bhat(2);

