% dataFile(:,1) ... dates
missCode=-9999;
dataFile2=dataFile; dataFile2(dataFile2==missCode)=nan;
prd=100*diff(log(dataFile(:,2:9))); prd2=100*diff(log(dataFile2(:,2:9))); 
un=dataFile(:,10:17); un2=dataFile2(:,10:17);
cpi=dataFile2(:,18:25); infl=100*diff(log(cpi)); dinfl=diff(infl);
time=(1957:2001)';
[xbprd, junk] = bpassar(prd2,2,20,20,2,0,0,1,1,6.25e-8);
[xbpun, junk] = bpassar(un2,2,20,20,2,0,0,1,1,6.25e-8);
prodTrend=prd2-xbprd; unTrend=un2-xbpun; 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% figure; plot(time,un2); title('Unemployment'); legend(labs);
% figure; plot(time(2:end),infl); title('Inflation'); legend(labs);
% figure; plot(time(2:end),prodTrend); title('Productivity'); legend(labs);
f1=figure; crr=repmat(nan,size(un,2),1);
for i=1:size(un,2); % figure; plot(time(2:end),[prodTrend(:,i) unTrend(2:end,i)]); title(['Productivity and Unemploynment -- ' fullLab(i,:)]); legend('Productivity','Unemployment'); 
    figure(f1); subplot(4,2,i); h=myPlot(time(2:end),[prodTrend(:,i) unTrend(2:end,i)]); ind=min(~isnan([prodTrend(:,i) unTrend(2:end,i) ]'))';
    crr2=corrcoef([prodTrend(ind,i) unTrend([logical(0); ind],i)]); crr(i)=crr2(2);
    ttt=title(['Productivity and the NAIRU ' fullLab(i,:) ' correlation:  ' num2str(round(100*crr(i))/100)]); 
    set(ttt,'fontsize',8); set(gca,'fontsize',7);
    axis([-inf inf 0 15]); set(h,'linewidth',1); if i==1; lll=legend('Productivity','Unemployment');  set(lll,'fontsize',7); end; 
end;
