function y=deltaM(betaOLS,vcv,unLags,splines,splineIndex);
%
%  calculates Delta method nairu se's
%
unSpread=unLags(2)-unLags(1)+1;
if splineIndex==1;
   totSpline=size(splines,2);   betaL=length(betaOLS);
   sumUn=sum(betaOLS(totSpline+1:totSpline+1+unSpread));
   D1=-splines/sumUn;
   D2=repmat(splines*betaOLS(1:totSpline)/(sumUn)^2,1,unSpread);
   D=[D1, D2, zeros(size(splines,1),betaL-totSpline-unSpread)];
   y=sqrt(diag(D*vcv*D'));
elseif splineIndex==2; y=nan;
else;   
   sumUn=sum(betaOLS(2:unSpread+1));
   % gradients
   D2=ones(unSpread,1)*(betaOLS(1)/(sumUn^2));
   D=[-1/sumUn; D2; zeros(size(betaOLS,1)-(unSpread+1),1)];
   y=sqrt(D'*vcv*D);
end;
