figure;
lambdaIndex=1;
hKFA=area(time, [ciAS2P(:,1), ciAS2P(:,2)-ciAS2P(:,1)]); 
set(gca,'Layer','top'); hold on; 
hKF=myPlot(time,[ASP graphUn]); 
set(hKFA(1),'FaceColor',.97*ones(1,3),'EdgeColor','none'); 
set(hKFA(2),'FaceColor',.66*ones(1,3),'EdgeColor','none');
% set(hKF(2),'linestyle','-.','color',cc.darkGreen); set(hKF(3),'linestyle','--');
legend([hKF(1:2);hKFA(2)] ,'Kalman Smoother','Unemployment','95% CI'); 
title('The NAIRU as an Unobserved Random Walk (Kalman Filter Productivity I.)');
if lambdaIndex; liText=', \lambda imposed'; lambdaT=nruProdLambda; 
else; liText=', \lambda estimated'; lambdaT=mleEstimates(end)/mleEstimates(end-1); lambdaT=myRound(lambdaT); end;
xlabel(['\sigma^2_\eta/\sigma^2_\epsilon=\lambda=' num2str(lambdaT) liText]);
axis tight; axis 'auto y';  grid on; hold off; axis([-inf inf 0 11]);

altModels=figure; 
subplot(211);
hKFA=area(time, [nairuCIarP(:,1), nairuCIarP(:,2)-nairuCIarP(:,1)]); 
set(gca,'Layer','top','fontsize',7); hold on; 
hKF=myPlot(time,[nruP graphUn]); set(hKF,'linewidth',1);
set(hKFA(1),'FaceColor',.97*ones(1,3),'EdgeColor','none'); 
set(hKFA(2),'FaceColor',.66*ones(1,3),'EdgeColor','none');
legend([hKF(1:2);hKFA(2)] ,'NAIRU','Unemployment','95% CI'); 
title('Productivity NAIRU -- Alternative Model I');
axis tight; axis 'auto y';  grid on; hold off; axis([-inf inf 0 11]);


subplot(212)
hKFA=area(time, [ciAS2P(:,1), ciAS2P(:,2)-ciAS2P(:,1)]); 
set(gca,'Layer','top','fontsize',7); hold on; 
hKF=myPlot(time,[ASP graphUn]); set(hKF,'linewidth',1);
set(hKFA(1),'FaceColor',.97*ones(1,3),'EdgeColor','none'); 
set(hKFA(2),'FaceColor',.66*ones(1,3),'EdgeColor','none');
legend([hKF(1:2);hKFA(2)] ,'Kalman Smoother','Unemployment','95% CI'); 
title('Productivity NAIRU -- Alternative Model II.');
axis tight; axis 'auto y';  grid on; hold off; axis([-inf inf 0 11]);

